ISXDIGIT(3)

NAME
isxdigit, ishexnumber, isxdigit_l, ishexnumber_l - hexadecimal-digit character test

LIBRARY
libc

SYNOPSIS
#include <ctype.h>
int
isxdigit(int c);
int
ishexnumber(int c);
int
isxdigit_l(int c, locale_t loc);
int
ishexnumber_l(int c, locale_t loc);

DESCRIPTION
The isxdigit() and isxdigit_l() functions test for any hexadecimal-digit character. Regardless of locale, this includes the following characters only:
``0'' | ``1'' | ``2'' | ``3'' | ``4''
``5'' | ``6'' | ``7'' | ``8'' | ``9''
``A'' | ``B'' | ``C'' | ``D'' | ``E''
``F'' | ``a'' | ``b'' | ``c'' | ``d''
``e'' | ``f'' | | |

The ishexnumber() and ishexnumber_l() functions behave similarly to isxdigit() and isxdigit_l(), but may recognize additional characters, depending on the current locale setting.

The value of the argument must be representable as an unsigned char or the value of EOF.

The _l-suffixed versions take an explicit locale argument, whereas the non-suffixed versions use the current global or per-thread locale.

RETURN VALUES
The isxdigit() and isxdigit_l() functions return zero if the character tests false and return non-zero if the character tests true.

COMPATIBILITY
The 4.4BSD extension of accepting arguments outside of the range of the unsigned char type in locales with large character sets is considered obsolete and may not be supported in future releases. The iswxdigit() or iswxdigit_l() function should be used instead.

SEE ALSO
ctype(3), ctype_l(3), iswxdigit(3), iswxdigit_l(3), xlocale(3), ascii(7)

STANDARDS
The isxdigit() function conforms to isoC.

HISTORY
The ishexnumber() function appeared in 4.4BSD.